from osv import osv, fields



class First(osv.osv):
    _name = 'bug.first'
    _columns = {
        'name': fields.char('Name', size=256),
        'second_ids': fields.one2many('bug.second', 'first_id', string='My second objects'),
    }



class Second(osv.osv):
    _name = 'bug.second'
    _columns = {
        'name': fields.char('Name', size=256),
        'first_id': fields.many2one('bug.first', string='My first object'),
        'test_value': fields.char('Test value', size=256, readonly=True),
    }

    def button1(self, cr, uid, ids, context=None):
        data = {'test_value': 'value'}
        self.write(cr, uid, ids, data, context=context)
        return True

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

